org.springframework.batch.support

## Class SimpleMethodInvoker

- java.lang.Object
- - org.springframework.batch.support.SimpleMethodInvoker

- All Implemented Interfaces:
    MethodInvoker

      public class SimpleMethodInvoker
      extends java.lang.Object
      implements MethodInvoker

  Simple implementation of the `MethodInvoker` interface that invokes a method on an object. If the method has no arguments, but arguments are provided, they are ignored and the method is invoked anyway. If there are more arguments than there are provided, then an exception is thrown.
  Since:
    2.0
  Author:
    Lucas Ward

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleMethodInvoker(java.lang.Object object, java.lang.reflect.Method method)`
    `SimpleMethodInvoker(java.lang.Object object, java.lang.String methodName, java.lang.Class<?>... paramTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.Object` | `invokeMethod(java.lang.Object... args)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleMethodInvoker

          public SimpleMethodInvoker(java.lang.Object object,
                                     java.lang.reflect.Method method)

    - #### SimpleMethodInvoker

          public SimpleMethodInvoker(java.lang.Object object,
                                     java.lang.String methodName,
                                     java.lang.Class<?>... paramTypes)

  - ### Method Detail

    - #### invokeMethod

          @Nullable
          public java.lang.Object invokeMethod(java.lang.Object... args)

      Specified by:
        `invokeMethod` in interface `MethodInvoker`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`